/* AtCore KDE Libary for 3D Printers
    SPDX-License-Identifier: LGPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL
    SPDX-FileCopyrightText: 2016, 2018 Tomaz Canabrava <tcanabrava@kde.org>
    SPDX-FileCopyrightText: 2016-2019 Chris Rizzitello <rizzitello@kde.org>
    SPDX-FileCopyrightText: 2016 Patrick José Pereira <patrickjp@kde.org>
*/

#pragma once

#include <QLibraryInfo>
#include <QDir>

namespace AtCoreDirectories {
    const QString appPath = QDir::currentPath();
    const QStringList pluginDir = {
        QStringLiteral("%1/plugins").arg(appPath)
        , QStringLiteral("%1/AtCore").arg(appPath)
        , QDir(QStringLiteral("%1/../Plugins/AtCore").arg(appPath)).absolutePath()
        , QStringLiteral("/usr/lib/x86_64-linux-gnu/qt5/plugins/AtCore")
        , QStringLiteral("%1/AtCore").arg(QLibraryInfo::location(QLibraryInfo::PluginsPath))
        , QStringLiteral("lib/x86_64-linux-gnu/qt5/plugins/AtCore")
    };
    const QString pluginExtFilter =
        #if defined(Q_OS_WIN)
            QStringLiteral("*.dll");
        #elif defined(Q_OS_MAC)
            QStringLiteral("*.dylib");
        #else
            QStringLiteral("*.so");
        #endif
}
